<form (ngSubmit)="submit()" [formGroup]="voitureForm">
    <div class="form">
        <mat-form-field>
            <input matInput type="text" id="marque"
                class="form-control" placeholder="marque"
                [formControl]="voitureForm.get('marque')">
            <mat-error class="field-error" *ngIf="voitureForm.get('marque').hasError('required')">
                required
            </mat-error>
        </mat-form-field>
    </div>
    <div class="form">
        <mat-form-field>
            <input matInput type="text" id="modele"
                class="form-control" placeholder="modele"
                [formControl]="voitureForm.get('modele')">
            <mat-error class="field-error" *ngIf="voitureForm.get('modele').hasError('required')">
                required
            </mat-error>
        </mat-form-field>
    </div>
    <div class="form">
        <mat-form-field>
            <input matInput type="number" id="puissance"
                class="form-control" placeholder="puissance"
                [formControl]="voitureForm.get('puissance')">
            <mat-error class="field-error" *ngIf="voitureForm.get('puissance').hasError('required')">
                required
            </mat-error>
            <mat-error class="field-error" *ngIf="voitureForm.get('puissance').hasError('min')">
                Must be greater than 0.
            </mat-error>
        </mat-form-field>
    </div>
    <button type="submit" class="btn btn-primary" [disabled]="voitureForm.invalid">
        Create voiture
    </button>
</form>